#!/bin/bash
echo "---------------------------------------------------"
echo "Instructed to Promote Daily job:
echo "       Suite: ${SUITE}"
echo "      Serial: ${SERIAL}"
echo "   Milestone: ${MILESTONE_LABEL}"
echo "      Stream: ${BTYPE}"
echo "      Public: ${MAKE_PUBLIC}"
echo "  PrePublish: ${PREPUBLISH}"
echo "
echo "---------------------------------------------------"

cat << EOF > "${WORKSPACE}/build_properties"
SUITE=${SUITE}
SERIAL=${SERIAL}
MILESTONE=${MILESTONE_LABEL}
STREAM=${BTYPE}
PUBLIC=${MAKE_PUBLIC}
PREPUBLISH=${PREPUBLISH}
EOF

export HOME="/srv/builder/vmbuilder"

cmd=(
   '/srv/builder/vmbuilder/bin/cronrun'
   'promote-daily'
   '--verbose'
   '--allow-existing' )

if [ "${PREPUBLISH}" == "true" ]; then
    echo "Pre-publishing rules, will not make public"
else
    [ "${MAKE_PUBLIC}" == "true" ] && cmd+=('--make-public')
fi

case ${BTYPE} in
    *server*hwe*) pub_path="/srv/ec2-images/server/${SUITE}/${SERIAL}/${BTYPE//server-/}";;
               *) pub_path="/srv/ec2-images/${BTYPE}/${SUITE}/${SERIAL}"
            ;;
esac

if [ "${REPUBLISH}" == "true" ]; then
    cmd+=('--republish')
    if [ "${MILESTONE_LABEL}" == "release" ]; then
        pub_path="/srv/ec2-images/releases/${SUITE}/release-${SERIAL}"
    else
        pub_path="/srv/ec2-images/releases/${SUITE}/${MILESTONE_LABEL}"
    fi
    [[ "${BTYPE}" =~ server-hwe ]] && pub_path="${pub_path}/${BTYPE//server-/}"
fi

cmd+=("${MILESTONE_LABEL}" ${pub_path})

echo "Executing command: ${cmd[@]}"
exec ${cmd[@]}
