#!/bin/bash

# set default umask
umask 022

# Read in the common functions
my_dir="$( cd "$( dirname "$0" )" && pwd )"
base_dir=$(dirname ${my_dir})
export PATH="${base_dir}:${my_dir}:${PATH}"
source "${base_dir}/functions/locker"
source "${base_dir}/functions/common"
source "${base_dir}/functions/retry"

dist_ge() { [[ "$1" > "$2" || "$1" == "$2" ]]; }

[ -z "${DISTRO}" -a -n "${SUITE}" ] && DISTRO="${SUITE}"

select_build_config() {

    [ -z "${BUILDER_CLOUD_IMAGE}" ] && {
        # Use the latest 14.04 LTS image to do the build.
        BUILDER_CLOUD_IMAGE="http://cloud-images.ubuntu.com/releases/trusty/release/ubuntu-14.04-server-cloudimg-amd64-uefi1.img"
        export cloud_init_cfg="cloud-trusty.cfg"
       }

    # For ppc64el, we use ppc64el images
    [ "${ARCH_TYPE}" == "ppc64el" ] && {
            export cloud_init_cfg="cloud-trusty-pp64el.cfg"
            BUILDER_CLOUD_IMAGE="${BUILDER_CLOUD_IMAGE//amd64/ppc64el}"
            export BUILDER_CLOUD_IMAGE="${BUILDER_CLOUD_IMAGE//uefi1/disk1}"
        }
    echo "Using ${BUILDER_CLOUD_IMAGE} to do the build"
}
